<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RecordAggregate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecordAggregate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>
            <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="RecordAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class RecordAggregate" class="title">Class RecordAggregate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.record.aggregates.RecordAggregate</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html"
                           title="class in org.apache.poi.hssf.record.aggregates">CFRecordsAggregate</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ChartSubstreamRecordAggregate</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ColumnInfoRecordsAggregate</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ConditionalFormattingTable</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/CustomViewSettingsRecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">CustomViewSettingsRecordAggregate</a>,
                        <a href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html"
                           title="class in org.apache.poi.hssf.record.aggregates">DataValidityTable</a>, <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>, <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
                                title="class in org.apache.poi.hssf.record.aggregates">MergedCellsTable</a>, <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                                title="class in org.apache.poi.hssf.record.aggregates">PageSettingsBlock</a>, <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
                                title="class in org.apache.poi.hssf.record.aggregates">RowRecordsAggregate</a>, <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
                                title="class in org.apache.poi.hssf.record.aggregates">WorksheetProtectionBlock</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">RecordAggregate</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
           title="class in org.apache.poi.hssf.record">RecordBase</a></pre>
                <div class="block"><tt>RecordAggregate</tt>s are groups of of BIFF <tt>Record</tt>s that are typically
                    stored
                    together and/or updated together. Workbook / Sheet records are typically stored in a sequential
                    list, which does not provide much structure to coordinate updates.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a></span></code>
                                    <div class="block">A wrapper for <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                            title="interface in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate.RecordVisitor</code></a>
                                        which accumulates the sizes of all
                                        records visited.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#RecordAggregate--">RecordAggregate</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">gives the current serialized size of the record.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#serialize-int-byte:A-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">called by the class that is responsible for writing this
                                        sucker.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>
                                    <div class="block">Visit each of the atomic BIFF records contained in this <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                        in the order
                                        that they should be written to file.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RecordAggregate--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RecordAggregate</h4>
                                <pre>public&nbsp;RecordAggregate()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitContainedRecords</h4>
                                <pre>public abstract&nbsp;void&nbsp;visitContainedRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                                <div class="block">Visit each of the atomic BIFF records contained in this <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                    in the order
                                    that they should be written to file. Implementors may or may not return the actual
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                       title="class in org.apache.poi.hssf.record"><code>Record</code></a>s being used
                                    to manage POI's internal implementation. Callers should not
                                    assume either way, and therefore only attempt to modify those <a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record"><code>Record</code></a>s after
                                    cloning
                                </div>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public final&nbsp;int&nbsp;serialize(int&nbsp;offset,
                           byte[]&nbsp;data)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">RecordBase</a></code></span>
                                </div>
                                <div class="block">called by the class that is responsible for writing this sucker.
                                    Subclasses should implement this so that their data is passed back in a
                                    byte array.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - to begin writing at</dd>
                                    <dd><code>data</code> - byte array containing instance data</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes written</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">RecordBase</a></code></span>
                                </div>
                                <div class="block">gives the current serialized size of the record. Should include the
                                    sid
                                    and reclength (4 bytes).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record size</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>
            <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="RecordAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
